- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# icinga2_feature – Manage Icinga2 feature

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- This module can be used to enable or disable an Icinga2 feature.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | This is the feature name to enable or disable.
state - | Choices: present ← absent | If set to `present` and feature is disabled, then feature is enabled. If set to `present` and feature is already enabled, then nothing is changed. If set to `absent` and feature is enabled, then feature is disabled. If set to `absent` and feature is already disabled, then nothing is changed.

## Examples

    - name: Enable ido-pgsql feature
      icinga2_feature:
        name: ido-pgsql
        state: present

    - name: Disable api feature
      icinga2_feature:
        name: api
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.